View Issue Details

IDProjectCategoryView StatusLast Update
0003013GNUnetidentity servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityimmediateSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003013: convenience API to lookup ego for service is missing
DescriptionRight now, the EGO-for-service functionality of the identity service is never used, largely because it is too inconvenient --- first one needs to lookup the ego's name for the service, and then the ego. A convenience function (similar to the one that exists for ego's name to ego) should be added to address this.
TagsNo tags attached.

Relationships

child of 0003010 closedChristian Grothoff GNUnet gnunet-dns2gns needs to use identity service 
child of 0003011 closedChristian Grothoff GNUnet gnunet-gns-proxy should use the identity service 
child of 0003014 closedChristian Grothoff gnunet-gtk zone editor needs to be integrated with identity service 

Activities

Christian Grothoff

2013-09-05 12:53

manager   ~0007399

Use GNUNET_IDENTITY_get.

Issue History

Date Modified Username Field Change
2013-08-31 21:41 Christian Grothoff New Issue
2013-08-31 21:41 Christian Grothoff Assigned To => Christian Grothoff
2013-08-31 21:41 Christian Grothoff Status new => assigned
2013-08-31 21:42 Christian Grothoff Relationship added child of 0003010
2013-08-31 21:42 Christian Grothoff Relationship added child of 0003011
2013-08-31 21:46 Christian Grothoff Relationship added child of 0003014
2013-09-05 12:53 Christian Grothoff Note Added: 0007399
2013-09-05 12:53 Christian Grothoff Status assigned => resolved
2013-09-05 12:53 Christian Grothoff Fixed in Version => 0.10.0
2013-09-05 12:53 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed